Name:           python-pidcalib2
Version:        1.3.6
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A set of tools for estimating LHCb PID efficiencies

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://gitlab.cern.ch/lhcb-rta/pidcalib2
Source:         %{pypi_source pidcalib2}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pidcalib2' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pidcalib2
Summary:        %{summary}

%description -n python3-pidcalib2 %_description


%prep
%autosetup -p1 -n pidcalib2-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pidcalib2 -f %{pyproject_files}


%changelog
%autochangelog